com.jscape.filetransfer

## Class FileTransferRenameFileEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jscape.filetransfer.FileTransferEvent
    - - com.jscape.filetransfer.FileTransferRenameFileEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class FileTransferRenameFileEvent
      extends FileTransferEvent

  Fired when a file is renamed on server.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FileTransferRenameFileEvent(FileTransfer source, java.lang.String oldFile, java.lang.String newFile, java.lang.String path)` Creates `FileTransferRenameFileEvent`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(FileTransferListener listener)` Accepts event via FileTransferListener.
    `java.lang.String` | `getNewFile()` Gets the new file name.
    `java.lang.String` | `getOldFile()` Gets the old file name.
    `java.lang.String` | `getPath()` Gets the remote directory path the file was renamed from.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FileTransferRenameFileEvent

          public FileTransferRenameFileEvent(FileTransfer source,
                                             java.lang.String oldFile,
                                             java.lang.String newFile,
                                             java.lang.String path)

      Creates `FileTransferRenameFileEvent`.
      Parameters:
        `source` - the source of the event
        `oldFile` - the file to be renamed
        `newFile` - the new file name
        `path` - the remote directory path the file was renamed from

  - ### Method Detail

    - #### getOldFile

          public java.lang.String getOldFile()

      Gets the old file name.
      Returns:
        the old file name

    - #### getNewFile

          public java.lang.String getNewFile()

      Gets the new file name.
      Returns:
        the new file name

    - #### getPath

          public java.lang.String getPath()

      Gets the remote directory path the file was renamed from.
      Returns:
        the remote directory path

    - #### accept

          public void accept(FileTransferListener listener)

      Accepts event via FileTransferListener.
      Specified by:
        `accept` in class `FileTransferEvent`
      Parameters:
        `listener` - the listener which receives event

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.util.EventObject`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved